Get the Me object

GET /me

Get the Me object

Request

Path Parameters

Query Parameters

fields

string

field name

expand

boolean

Expand the response object

Response

200 - Success

type

string

api_version

string

state

string

username

string

identity_provider

string

name

string

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

url

string

metadata

object

org_info

array

default -

Update the Me object

PUT /me

Update the Me object

Request

Request Body

Me

type

string

api_version

string

state

string

username

string

identity_provider

string

name

string

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

url

string

metadata

object

org_info

array

Response

200 - Success

type

string

api_version

string

state

string

username

string

identity_provider

string

name

string

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

url

string

metadata

object

org_info

array

default -

Delete the Me object

DELETE /me

Delete the Me object

Request

Response

200 - Successful delete

type

string

api_version

string

state

string

username

string

identity_provider

string

name

string

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

url

string

metadata

object

org_info

array

default -

Change my password

POST /me/change-password

Change my password

Request

Request Body

ChangePassword

current_password

string

password

string

Response

204 - Success

default -

Reset password

POST /me/reset-password

Reset password

Request

Request Body

ResetPassword

password

string

Response

204 - Success

default -

Sign out

POST /me/sign-out

Sign out

Request

Response

204 - Success

default -

List the My Permission objects

GET /permissions

List the My Permission objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Create a My Organization object

POST /orgs

Create a My Organization object

Request

Request Body

Org

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

default -

List the My Organization objects

GET /orgs

List the My Organization objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List all Permission objects in all collections

GET /consumer/permissions

List all Permission objects in all collections

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List the Permission objects

GET /consumer/permissions/org

List the Permission objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Permission object by name or id

GET /consumer/permissions/org/{permission}

Get the Permission object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

permission_type

string

title

string

summary

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Permission objects

GET /consumer/permissions/consumer

List the Permission objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Permission object by name or id

GET /consumer/permissions/consumer/{permission}

Get the Permission object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

permission_type

string

title

string

summary

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Generate a token

POST /token

Generate a token

Request

Request Body

TokenRequest

username

string

password

string

assertion

string

realm

string

client_id

string

client_secret

string

code

string

refresh_token

string

grant_type

Required *

string

Response

200 - Success

access_token

string

token_type

string

expires_in

integer

refresh_token

string

refresh_expires_in

integer

default -

Authorization provider redirect endpoint

GET /oauth2/redirect

Authorization provider redirect endpoint

Request

Path Parameters

Query Parameters

state

string

Oauth2 state

code

string

Oauth2 code

error

string

Oauth2 error

error_description

string

Oauth2 error_description

error_uri

string

Oauth2 error_uri

oauth_token

string

Oauth Token for Twitter

oauth_verifier

string

Oauth Verifier for Twitter

Response

302 - Success

default -

Authorization provider redirect endpoint

POST /oauth2/redirect

Authorization provider redirect endpoint

Request

Request Body

OauthRedirect

code

string

state

string

error

string

error_description

string

error_uri

string

Path Parameters

Query Parameters

state

string

Oauth2 state

code

string

Oauth2 code

error

string

Oauth2 error

error_description

string

Oauth2 error_description

error_uri

string

Oauth2 error_uri

oauth_token

string

Oauth Token for Twitter

oauth_verifier

string

Oauth Verifier for Twitter

Response

302 - Success

default -

APIC authorization endpoint

GET /oauth2/authorize

APIC authorize endpoint

Request

Path Parameters

Query Parameters

client_id

string

Registration client identifier

state

string

Oauth2 state

realm

Required *

string

User registry realm name

redirect_uri

string

Redirect Url

response_type

Required *

string

Oauth2 response_type

token

string

token

name

string

token

title

string

token

summary

string

token

invitation_scope

string

token

Response

302 - Success

default -

Get the Organization object by name or id

GET /orgs/{org}

Get the Organization object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Organization object by name or id

PATCH /orgs/{org}

Update the Organization object by name or id

Request

Request Body

Org

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Organization object by name or id

DELETE /orgs/{org}

Delete the Organization object by name or id

Request

Path Parameters

Query Parameters

cascade

boolean

Cascade the behavior

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

default -

Transfer owner to a new member

POST /orgs/{org}/transfer-owner

Transfer owner to a new member

Request

Request Body

TransferOwner

new_owner_associate_url

string

new_owner_member_url

string

old_owner_new_role_urls

array

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

owner_url

string

group_urls

array

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the Group object by name or id

GET /groups/{group}

Get the Group object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Register using the Organization Invitation

POST /org-invitations/{invitation}/register

Register using the Organization Invitation

Request

Request Body

InvitationRegister

client_id

string

client_secret

string

user

object

realm

string

username

string

password

string

email

string

first_name

string

last_name

string

org

object

name

string

title

string

summary

string

Path Parameters

Query Parameters

Response

201 - Success

member

Member

credentials

TokenResponse

default -

Accept using the Organization Invitation

POST /org-invitations/{invitation}/accept

Accept using the Organization Invitation

Request

Request Body

InvitationAccept

user

object

realm

string

username

string

password

string

token

string

token_secret

string

org

object

name

string

title

string

summary

string

client_id

string

client_secret

string

Path Parameters

Query Parameters

Response

201 - Success

member

Member

credentials

TokenResponse

default -

Create a Member Invitation object

POST /orgs/{org}/member-invitations

Create a Member Invitation object

Request

Request Body

MemberInvitation

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

notify

boolean

string

email

string

org_type

string

role_urls

array

expires_at

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

notify

boolean

string

email

string

org_type

string

role_urls

array

expires_at

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Member Invitation objects

GET /orgs/{org}/member-invitations

List the Member Invitation objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Clear the Member Invitation objects

DELETE /orgs/{org}/member-invitations

Clear the Member Invitation objects

Request

Path Parameters

Query Parameters

confirm

string

confirm clear

Response

204 - Success

default -

Get the Member Invitation object by name or id

GET /orgs/{org}/member-invitations/{member-invitation}

Get the Member Invitation object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

notify

boolean

string

email

string

org_type

string

role_urls

array

expires_at

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Member Invitation object by name or id

DELETE /orgs/{org}/member-invitations/{member-invitation}

Delete the Member Invitation object by name or id

Request

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

notify

boolean

string

email

string

org_type

string

role_urls

array

expires_at

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Regenerate the Member Invitation

POST /orgs/{org}/member-invitations/{member-invitation}/regenerate

Regenerate the Member Invitation

Request

Request Body

Regenerate

notify

boolean

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

notify

boolean

string

email

string

org_type

string

role_urls

array

expires_at

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Register using the Member Invitation

POST /orgs/{org}/member-invitations/{member-invitation}/register

Register using the Member Invitation

Request

Request Body

MemberInvitationRegister

client_id

string

client_secret

string

realm

string

username

string

password

string

email

string

first_name

string

last_name

string

Path Parameters

Query Parameters

Response

201 - Success

member

Member

credentials

TokenResponse

default -

Accept using the Member Invitation

POST /orgs/{org}/member-invitations/{member-invitation}/accept

Accept using the Member Invitation

Request

Request Body

MemberInvitationAccept

client_id

string

client_secret

string

realm

string

username

string

password

string

token

string

token_secret

string

Path Parameters

Query Parameters

Response

201 - Success

member

Member

credentials

TokenResponse

default -

List the User Registry objects

GET /user-registries

List the User Registry objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the User Registry object by name or id

GET /user-registries/{user-registry}

Get the User Registry object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

registry_type

string

user_managed

boolean

user_registry_managed

boolean

onboarding

string

case_sensitive

boolean

identity_providers

array

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the User object by name or id

GET /user-registries/{user-registry}/users/{user}

Get the User object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

identity_provider

string

username

string

password

string

force_password_change

boolean

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

member_urls

array

org_url

string

user_registry_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Sign up a user

POST /sign-up

Sign up a user

Request

Request Body

SignUp

client_id

string

client_secret

string

realm

string

username

string

password

string

email

string

first_name

string

last_name

string

org

string

Response

204 - Success

default -

Activates the sign up

POST /activate

Activates the sign up

Request

Response

204 - Success

default -

Send reset password link

POST /request-password-reset

Send reset password link

Request

Request Body

RequestPasswordReset

realm

string

email

string

Response

204 - Success

default -

List Identity Providers in the consumer realm

GET /consumer/identity-providers

List Identity Providers in the consumer realm

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List the Associate objects

GET /orgs/{org}/associates

List the Associate objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Associate object by name or id

GET /orgs/{org}/associates/{associate}

Get the Associate object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Create a Member object

POST /orgs/{org}/members

Create a Member object

Request

Request Body

Member

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

identity_provider

string

username

string

password

string

force_password_change

boolean

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

member_urls

array

org_url

string

user_registry_url

string

metadata

object

created_at

string

updated_at

string

url

string

role_urls

array

inherited_role_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

role_urls

array

inherited_role_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Member objects

GET /orgs/{org}/members

List the Member objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Clear the Member objects

DELETE /orgs/{org}/members

Clear the Member objects

Request

Path Parameters

Query Parameters

confirm

string

confirm clear

cascade

boolean

Cascade the behavior

Response

204 - Success

default -

Get the Member object by name or id

GET /orgs/{org}/members/{member}

Get the Member object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

role_urls

array

inherited_role_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Member object by name or id

PATCH /orgs/{org}/members/{member}

Update the Member object by name or id

Request

Request Body

Member

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

identity_provider

string

username

string

password

string

force_password_change

boolean

email

string

first_name

string

last_name

string

photo

string

last_login_at

string

member_urls

array

org_url

string

user_registry_url

string

metadata

object

created_at

string

updated_at

string

url

string

role_urls

array

inherited_role_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

role_urls

array

inherited_role_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Member object by name or id

DELETE /orgs/{org}/members/{member}

Delete the Member object by name or id

Request

Path Parameters

Query Parameters

cascade

boolean

Cascade the behavior

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

state

string

user

User

role_urls

array

inherited_role_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Create a Role object

POST /orgs/{org}/roles

Create a Role object

Request

Request Body

Role

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

permission_urls

array

inherited_permission_urls

array

member_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

permission_urls

array

inherited_permission_urls

array

member_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Role objects

GET /orgs/{org}/roles

List the Role objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Clear the Role objects

DELETE /orgs/{org}/roles

Clear the Role objects

Request

Path Parameters

Query Parameters

confirm

string

confirm clear

Response

204 - Success

default -

Get the Role object by name or id

GET /orgs/{org}/roles/{role}

Get the Role object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

permission_urls

array

inherited_permission_urls

array

member_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Role object by name or id

PATCH /orgs/{org}/roles/{role}

Update the Role object by name or id

Request

Request Body

Role

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

permission_urls

array

inherited_permission_urls

array

member_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

permission_urls

array

inherited_permission_urls

array

member_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Role object by name or id

DELETE /orgs/{org}/roles/{role}

Delete the Role object by name or id

Request

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

scope

string

permission_urls

array

inherited_permission_urls

array

member_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List all Product objects in all collections

GET /public-products

List all Product objects in all collections

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List the Product objects

GET /public-products/{product-name}

List the Product objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Product object by id

GET /public-products/{product-id}

Get the Product object by id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

product

object

api_urls

array

billing_url

string

superseded_by

ProductPlanMapping

supersedes

array

state_pending

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the Product object by name and version

GET /public-products/{product-name}/{product-version}

Get the Product object by name and version

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

product

object

api_urls

array

billing_url

string

superseded_by

ProductPlanMapping

supersedes

array

state_pending

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the Product document

GET /public-products/{product-id}/document

Get the Product document

Request

Response

200 - Success

default -

Get the Product document by name and version

GET /public-products/{product-name}/{product-version}/document

Get the Product document by name and version

Request

Response

200 - Success

default -

List all API objects in all collections

GET /public-apis

List all API objects in all collections

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List the API objects

GET /public-apis/{api-name}

List the API objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the API object by id

GET /public-apis/{api-id}

Get the API object by id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

api

object

wsdl

object

api_type

string

oai_version

string

product_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the API object by name and version

GET /public-apis/{api-name}/{api-version}

Get the API object by name and version

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

api

object

wsdl

object

api_type

string

oai_version

string

product_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the API document

GET /public-apis/{api-id}/document

Get the API document

Request

Response

200 - Success

default -

Get the API document by name and version

GET /public-apis/{api-name}/{api-version}/document

Get the API document by name and version

Request

Response

200 - Success

default -

Get the API wsdl document

GET /public-apis/{api-id}/wsdl

Get the API wsdl document

Request

Path Parameters

Query Parameters

endpoint

string

endpoint

Response

200 - Success

default -

Get the API wsdl document by name and version

GET /public-apis/{api-name}/{api-version}/wsdl

Get the API wsdl document by name and version

Request

Path Parameters

Query Parameters

endpoint

string

endpoint

Response

200 - Success

default -

List all Product objects in all collections

GET /products

List all Product objects in all collections

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List the Product objects

GET /products/{product-name}

List the Product objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Product object by id

GET /products/{product-id}

Get the Product object by id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

product

object

api_urls

array

billing_url

string

superseded_by

ProductPlanMapping

supersedes

array

state_pending

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the Product object by name and version

GET /products/{product-name}/{product-version}

Get the Product object by name and version

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

product

object

api_urls

array

billing_url

string

superseded_by

ProductPlanMapping

supersedes

array

state_pending

string

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the Product document

GET /products/{product-id}/document

Get the Product document

Request

Response

200 - Success

default -

Get the Product document by name and version

GET /products/{product-name}/{product-version}/document

Get the Product document by name and version

Request

Response

200 - Success

default -

List all API objects in all collections

GET /apis

List all API objects in all collections

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

List the API objects

GET /apis/{api-name}

List the API objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the API object by id

GET /apis/{api-id}

Get the API object by id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

api

object

wsdl

object

api_type

string

oai_version

string

product_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the API object by name and version

GET /apis/{api-name}/{api-version}

Get the API object by name and version

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

version

string

title

string

summary

string

state

string

api

object

wsdl

object

api_type

string

oai_version

string

product_urls

array

org_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Get the API document

GET /apis/{api-id}/document

Get the API document

Request

Response

200 - Success

default -

Get the API document by name and version

GET /apis/{api-name}/{api-version}/document

Get the API document by name and version

Request

Response

200 - Success

default -

Get the API wsdl document

GET /apis/{api-id}/wsdl

Get the API wsdl document

Request

Path Parameters

Query Parameters

endpoint

string

endpoint

Response

200 - Success

default -

Get the API wsdl document by name and version

GET /apis/{api-name}/{api-version}/wsdl

Get the API wsdl document by name and version

Request

Path Parameters

Query Parameters

endpoint

string

endpoint

Response

200 - Success

default -

Create a Application object

POST /orgs/{org}/apps

Create a Application object

Request

Request Body

App

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

lifecycle_state

string

lifecycle_state_pending

string

app_credential_urls

array

client_id

string

client_secret

string

redirect_endpoints

array

application_public_certificate_entry

string

org_url

string

task_urls

array

image_endpoint

string

application_type_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

lifecycle_state

string

lifecycle_state_pending

string

app_credential_urls

array

client_id

string

client_secret

string

redirect_endpoints

array

application_public_certificate_entry

string

org_url

string

task_urls

array

image_endpoint

string

application_type_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Application objects

GET /orgs/{org}/apps

List the Application objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Clear the Application objects

DELETE /orgs/{org}/apps

Clear the Application objects

Request

Path Parameters

Query Parameters

confirm

string

confirm clear

Response

204 - Success

default -

Get the Application object by name or id

GET /apps/{org}/{app}

Get the Application object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

lifecycle_state

string

lifecycle_state_pending

string

app_credential_urls

array

client_id

string

client_secret

string

redirect_endpoints

array

application_public_certificate_entry

string

org_url

string

task_urls

array

image_endpoint

string

application_type_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Application object by name or id

PATCH /apps/{org}/{app}

Update the Application object by name or id

Request

Request Body

App

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

lifecycle_state

string

lifecycle_state_pending

string

app_credential_urls

array

client_id

string

client_secret

string

redirect_endpoints

array

application_public_certificate_entry

string

org_url

string

task_urls

array

image_endpoint

string

application_type_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

lifecycle_state

string

lifecycle_state_pending

string

app_credential_urls

array

client_id

string

client_secret

string

redirect_endpoints

array

application_public_certificate_entry

string

org_url

string

task_urls

array

image_endpoint

string

application_type_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Application object by name or id

DELETE /apps/{org}/{app}

Delete the Application object by name or id

Request

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

lifecycle_state

string

lifecycle_state_pending

string

app_credential_urls

array

client_id

string

client_secret

string

redirect_endpoints

array

application_public_certificate_entry

string

org_url

string

task_urls

array

image_endpoint

string

application_type_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Application Type objects

GET /application-types

List the Application Type objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Application Type object by name or id

GET /application-types/{application-type}

Get the Application Type object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

oauth_types

array

org_url

string

app_urls

array

metadata

object

created_at

string

updated_at

string

url

string

default -

Create a Application Credential object

POST /apps/{org}/{app}/credentials

Create a Application Credential object

Request

Request Body

Credential

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Application Credential objects

GET /apps/{org}/{app}/credentials

List the Application Credential objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Clear the Application Credential objects

DELETE /apps/{org}/{app}/credentials

Clear the Application Credential objects

Request

Path Parameters

Query Parameters

confirm

string

confirm clear

Response

204 - Success

default -

Get the Application Credential object by name or id

GET /apps/{org}/{app}/credentials/{credential}

Get the Application Credential object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Application Credential object by name or id

PATCH /apps/{org}/{app}/credentials/{credential}

Update the Application Credential object by name or id

Request

Request Body

Credential

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Application Credential object by name or id

DELETE /apps/{org}/{app}/credentials/{credential}

Delete the Application Credential object by name or id

Request

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Reset the client id and client secret

POST /apps/{org}/{app}/credentials/{credential}/reset

Reset the client id and client secret

Request

Response

201 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Reset the client secret

POST /apps/{org}/{app}/credentials/{credential}/reset-client-secret

Reset the client secret

Request

Response

201 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Verify the client secret

POST /apps/{org}/{app}/credentials/{credential}/verify-client-secret

Verify the client secret

Request

Request Body

Credential

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

client_id

string

client_secret_hashed

string

client_secret

string

org_url

string

app_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Create a Subscription object

POST /apps/{org}/{app}/subscriptions

Create a Subscription object

Request

Request Body

Subscription

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

product_url

string

plan

string

task_urls

array

state_pending

string

org_url

string

app_url

string

billing_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

product_url

string

plan

string

task_urls

array

state_pending

string

org_url

string

app_url

string

billing_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Subscription objects

GET /apps/{org}/{app}/subscriptions

List the Subscription objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Clear the Subscription objects

DELETE /apps/{org}/{app}/subscriptions

Clear the Subscription objects

Request

Path Parameters

Query Parameters

confirm

string

confirm clear

Response

204 - Success

default -

Get the Subscription object by name or id

GET /apps/{org}/{app}/subscriptions/{subscription}

Get the Subscription object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

product_url

string

plan

string

task_urls

array

state_pending

string

org_url

string

app_url

string

billing_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Subscription object by name or id

PATCH /apps/{org}/{app}/subscriptions/{subscription}

Update the Subscription object by name or id

Request

Request Body

Subscription

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

product_url

string

plan

string

task_urls

array

state_pending

string

org_url

string

app_url

string

billing_url

string

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

product_url

string

plan

string

task_urls

array

state_pending

string

org_url

string

app_url

string

billing_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

Delete the Subscription object by name or id

DELETE /apps/{org}/{app}/subscriptions/{subscription}

Delete the Subscription object by name or id

Request

Response

200 - Successful delete

type

string

api_version

string

id

string

name

string

title

string

summary

string

state

string

product_url

string

plan

string

task_urls

array

state_pending

string

org_url

string

app_url

string

billing_url

string

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Billing objects

GET /orgs/{org}/billings

List the Billing objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Billing object by name or id

GET /orgs/{org}/billings/{billing}

Get the Billing object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

integration_url

string

product_urls

array

configuration

object

visibility

ResourceVisibility

metadata

object

created_at

string

updated_at

string

url

string

default -

Create a Payment Method object

POST /orgs/{org}/payment-methods

Create a Payment Method object

Request

Request Body

PaymentMethod

type

string

api_version

string

id

string

name

string

title

string

summary

string

integration_url

string

billing_url

string

configuration

object

metadata

object

created_at

string

updated_at

string

url

string

Response

201 - Successful create

type

string

api_version

string

id

string

name

string

title

string

summary

string

integration_url

string

billing_url

string

configuration

object

metadata

object

created_at

string

updated_at

string

url

string

default -

List the Payment Method objects

GET /orgs/{org}/payment-methods

List the Payment Method objects

Request

Path Parameters

Query Parameters

fields

string

field name

offset

integer

Offset item number from list to begin return

limit

integer

Maximum number of items to return

Response

200 - Success

total_results

integer

results

array

default -

Get the Payment Method object by name or id

GET /orgs/{org}/payment-methods/{payment-method}

Get the Payment Method object by name or id

Request

Path Parameters

Query Parameters

fields

string

field name

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

integration_url

string

billing_url

string

configuration

object

metadata

object

created_at

string

updated_at

string

url

string

default -

Update the Payment Method object by name or id

PATCH /orgs/{org}/payment-methods/{payment-method}

Update the Payment Method object by name or id

Request

Request Body

PaymentMethod

type

string

api_version

string

id

string

name

string

title

string

summary

string

integration_url

string

billing_url

string

configuration

object

metadata

object

created_at

string

updated_at

string

url

string

Response

200 - Success

type

string

api_version

string

id

string

name

string

title

string

summary

string

integration_url

string

billing_url

string

configuration

object

metadata

object

created_at

string

updated_at

string

url

string

default -